Class | Rack::Utils::Context
In: | lib/action_controller/vendor/rack-1.0/rack/utils.rb
Parent: | Object

Context allows the use of a compatible middleware at different points in a request handling stack. A compatible middleware must define context which should take the arguments env and app. The first of which would be the request environment. The second of which would be the rack application that the request would be forwarded to.

### Methods

call context new recontext

### Attributes

app | [R] |
for | [R] |

### Public Class methods

new(app_f, app_r)

### Public Instance methods

call(env)
context(env, app=@app)
recontext(app)

[Validate]